const setters = {
  clearDeviceToy() {
    wx.removeStorageSync('deviceId')
    wx.removeStorageSync('serviceId')
    wx.removeStorageSync('characteristicId')
  },
  //setter模块
  setDeviceId(deviceId) {
    wx.setStorageSync('deviceId', deviceId)
  },
  setServiceId(serviceId) {
    wx.setStorageSync('serviceId', serviceId)
  },
  setCid(characteristicId) {
    wx.setStorageSync('characteristicId', characteristicId)
  },
  setGameStatus(status) {
    wx.setStorageSync('game_status', status)
  },
  setToyList(toy_list) {
    wx.setStorageSync('toy_list', toy_list)
  },
  setToyHex(toy_hex) {
    wx.setStorageSync('toy_hex', toy_hex)
  },
  removeToyHex() {
    wx.removeStorageSync('toy_hex')
  },
  setMode(mode) {
    wx.setStorageSync('mode', mode)
  },
  setGameRecordId(param) {
    wx.setStorageSync('game_record_id', param)
  },
  setPlayTime(param) {
    wx.setStorageSync('play_time', param)
  },
  setPlayedTime(param) {
    wx.setStorageSync('played_time', param)
  },
//  记录推到后台得时间
  setHideTime($param) {
    wx.setStorageSync('hide_time', $param)
  }
}

const getters = {
  getDeviceId() {
    return wx.getStorageSync('deviceId')
  },
  getServiceId() {
    return wx.getStorageSync('serviceId')
  },
  getCharacterId() {
    return wx.getStorageSync('characteristicId')
  },
  getGameStatus() {
    return wx.getStorageSync('game_status')
  },
  getToyList() {
    return wx.getStorageSync('toy_list')
  },
  getToyHex() {
    return wx.getStorageSync('toy_hex')
  },
  getMode() {
    return wx.getStorageSync('mode')
  },
  getGameRecordId() {
    return wx.getStorageSync('game_record_id')
  },
  getPlayTime() {
    return wx.getStorageSync('play_time')
  },
  //完了多长时间
  getPlayedTime() {
    return wx.getStorageSync('played_time')
  },
//  获取一开始隐藏的时间
  getHideTime() {
    return wx.getStorageSync('hide_time')
  }
}

export default {
  setters, getters
}
